感谢各位大神对我安装 PHPHub 时的帮助,but....

我已经放弃了~~~

虽然有的大神会觉得很简单,但是我这里简直踩了无数的坑~~~,在composer install 这里在也走不下去了。

当然有乐意帮助我的,也可以联系我,我会送你50元红包买汽水喝,感谢,感谢!


我的phphub已经搭建成功

最近收到好多人多私信,问各种问题,我已经汇总了一下phphub安装遇到的问题解决 包括phphub不能发送邮件的问题

《L03 构架 API 服务器》
你将学到如 RESTFul 设计风格、PostMan 的使用、OAuth 流程,JWT 概念及使用 和 API 开发相关的进阶知识。
《L04 微信小程序从零到发布》
从小程序个人账户申请开始,带你一步步进行开发一个微信小程序,直到提交微信控制台上线发布。
讨论数量: 52

不要绝望,刚刚到 packagist 查了下,github中这个包已经访问不了了。。。

3年前 评论

截个图证明一下,不要到时候恢复了说我瞎说 。。。逃

file

3年前 评论

@oustn 这可如何是好啊!!!

3年前 评论
Lonexw

你用的是 Window 开发环境部署吧?

3年前 评论

@JobsLong 是contos64 lnmp集成包

3年前 评论

刚更新的 packagist github 正常.
试下翻墙更新吧. 也可以用国内的镜像

composer.json

"repositories": {
    "packagist": {
      "type": "composer",
      "url": "https://packagist.phpcomposer.com"
    }
  }
3年前 评论

你的安装好了吗~~

3年前 评论

@琴歌 除了无法成功发送邮件外,一切正常

3年前 评论

@园子大魔王丶 你是装的phphub5 laravel5.1的吗?

3年前 评论

@园子大魔王丶 我也安装这个,但是一直没成功~~ 不知道什么原因,可否帮助一下,谢谢~~

3年前 评论

哪一步出错了?其实安装很简单

3年前 评论

@园子大魔王丶 对laravel不是很熟悉,我是在服务器上直接部署安装的如果有文档的话感激不尽

3年前 评论

@琴歌 我也是在服务器是部署的,文档官方没出

3年前 评论

@园子大魔王丶 可以留个联系方式请教一下嘛~~,QQ之类的,谢谢

3年前 评论

@琴歌 很可惜laravel-china不能私信,就不能发给你了

3年前 评论

@园子大魔王丶 你服务器搭建的给个地址看下呢

3年前 评论
QueryException in Connection.php line 662:
SQLSTATE[42S02]: Base table or view not found: 1146 Table 'phpone.topics' doesn't exist (SQL: select count(*) as aggregate from `topics` where `topics`.`deleted_at` is null and `is_blocked` = no and `is_excellent` = yes)
PDOException in Connection.php line 319:
SQLSTATE[42S02]: Base table or view not found: 1146 Table 'phpone.topics' doesn't exist

我就报这两个错,不知道怎么回事儿

3年前 评论

@琴歌 没有这个两个表,手动删掉phphub5数据库,在重新安装一遍,或者手动加上这两个表

3年前 评论

添加数据库报错如下

  [Illuminate\Database\QueryException]                                                                                                                                                                                         
  SQLSTATE[42000]: Syntax error or access violation: 1071 Specified key was too long; max key length is 1000 bytes (SQL: alter table `revisions` add index `revisions_revisionable_id_revisionable_type_index`(`revisionable_  
  id`, `revisionable_type`))   
  [PDOException]                                                                                                    
  SQLSTATE[42000]: Syntax error or access violation: 1071 Specified key was too long; max key length is 1000 bytes  

3年前 评论

@琴歌 建议你用lnmp.org的集成环境

3年前 评论

还是不行~~ 报错

[Illuminate\Database\QueryException]                                                                                                                                                                                         
  SQLSTATE[42000]: Syntax error or access violation: 1071 Specified key was too long; 
max key length is 767 bytes (SQL: alter table `oauth_client_endpoints` add unique `oauth_client_endpoints_client_id_redirect_uri_unique  
  `(`client_id`, `redirect_uri`))    
  [PDOException]                                                                                                   
  SQLSTATE[42000]: Syntax error or access violation: 1071 Specified key was too long; 
max key length is 767 bytes  
3年前 评论

@琴歌 我之前也是遇到过,安装lnmp集成环境时,会提示你是否以inndb为默认引擎,选Y,就ok了

3年前 评论

@园子大魔王丶 嗯,是选择的Y,但是还是这样子的

file

3年前 评论

你成功了之后测试一下发件功能是否正常,我这边测试是不正常的,发不出去件,其他两个朋友也是这个情况,用phpmail的一个demo可以发出去,smtp驱动。@Summer

3年前 评论

@琴歌 .env 里面的APP_ENV=production 改成APP_ENV=local 清空数据库,重新创建

3年前 评论

@园子大魔王丶
还是这样子的~~我都~

file

3年前 评论
叶落山城

最近我也在试着安装这个phphub........

本地deepin系统 阿里云是ubuntu14.04 同样的方法,本地一键安装的时候,数据库key太长..本地安装难成功! 阿里云一次成功!

默认有很多用户和数据!删除后 topic 即现在的这个 社区的 分类会报错.. 我打了注释就好了! 找个时间改下!

邮件认证! 发现发送不出去.我看了下源码,貌似是 搜狐的那个? 我把它去了,改成默认的了.. 邮件发送验证已经改好了..

没有注册微信开发平台,微信登陆还是问题.不过已经可以github授权登陆了

周末慢慢研究吧... 里面写死的东西有点多.. 得改不少..

3年前 评论
Lonexw

@琴歌 你的数据库的版本以及环境是什么?

3年前 评论

@JobsLong 就是lnmp的呀,数据库5.6的

file

3年前 评论
Lonexw

@琴歌 Look Here

file

http://stackoverflow.com/a/1814594

database/migrations/2014_04_24_110557_create_oauth_client_endpoints_table.php

$table->unique(['client_id', 'redirect_uri']);

### 可以暂时修改为, 没有测试过 :):

$table->unique('client_id');
$table->unique('redirect_uri');

@monkey

3年前 评论

@JobsLong 好的,我先看看,谢谢~~

3年前 评论

@JobsLong 按照此教程问题依然存在,按照 @叶落山城 说的不知道是不是其他问题(服务器?)的原因。我再研究下~~~~

3年前 评论

@叶落山城 同样在改,不过我已经申请到了开发者,还在审批,邮件改成默认的?能否贴下你的,我参考一下

3年前 评论

@琴歌 不是说了么,数据库5.7+ 没有任何问题,你非要用5.6的。。。。。

3年前 评论

@园子大魔王丶 噗,我去升级好了~~~

3年前 评论
叶落山城

@园子大魔王丶 微信开发平台,那个不是要认证么? 个人也可以申请且能通过?

3年前 评论

@叶落山城 @园子大魔王丶 @JobsLong 问题已解决,安装mysql5.7即可,谢谢大家~

3年前 评论

@叶落山城 某宝有卖。600元,帮你认证

3年前 评论

@园子大魔王丶 @叶落山城 按照构建工具出现如下问题

[root@instance-2j9g1pfz default]# npm install --global gulp
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated graceful-fs@1.2.3: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
/root/node-v6.2.0-linux-x64/bin/gulp -> /root/node-v6.2.0-linux-x64/lib/node_modules/gulp/bin/gulp.js
/root/node-v6.2.0-linux-x64/lib
└── gulp@3.9.1 

minimatch是最新的~~

file

不知道你们遇见过没有~~

3年前 评论

@园子大魔王 你的邮件发送怎么解决的~~~

3年前 评论

装完之后,这用户名和密码多少

3年前 评论

搭建好后 500 怎么破?

1年前 评论

请勿发布不友善或者负能量的内容。与人为善,比聪明更重要!